org.apache.lucene.analysis.opennlp

## Class OpenNLPTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.opennlp.OpenNLPTokenizerFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class OpenNLPTokenizerFactory
      extends TokenizerFactory
      implements ResourceLoaderAware

  Factory for `OpenNLPTokenizer`.

       <fieldType name="text_opennlp" class="solr.TextField" positionIncrementGap="100"
         <analyzer>
           <tokenizer class="solr.OpenNLPTokenizerFactory" sentenceModel="filename" tokenizerModel="filename"/>
         </analyzer>
       </fieldType>

  Since:
    7.3.0
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "openNlp"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name
    `static String` | `SENTENCE_MODEL`
    `static String` | `TOKENIZER_MODEL`

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenNLPTokenizerFactory(Map<String,String> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenNLPTokenizer` | `create(AttributeFactory factory)`
    `void` | `inform(ResourceLoader loader)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### SENTENCE_MODEL

          public static final String SENTENCE_MODEL

      See Also:
        Constant Field Values

    - #### TOKENIZER_MODEL

          public static final String TOKENIZER_MODEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenNLPTokenizerFactory

          public OpenNLPTokenizerFactory(Map<String,String> args)

  - ### Method Detail

    - #### create

          public OpenNLPTokenizer create(AttributeFactory factory)

      Specified by:
        `create` in class `TokenizerFactory`

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.